### Method

# Qmi ClientPdc get_config_limits

since: 1.18

#### Declaration [src]

    void
    qmi_client_pdc_get_config_limits (
      QmiClientPdc* self,
      QmiMessagePdcGetConfigLimitsInput* input,
      guint timeout,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously sends a Get Config Limits request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pdc_get_config_limits_finish()` to get the result of the operation.

Available since: 1.18

This method completes asynchronously. Use `qmi_client_pdc_get_config_limits_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`input`

  Type: `QmiMessagePdcGetConfigLimitsInput`

  A `QmiMessagePdcGetConfigLimitsInput`.

  The data is owned by the caller of the method.

`timeout`

  Type: `guint`

  Maximum time to wait for the method to complete, in seconds.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.